#ifndef _DISPLAY_H_
#define _DISPLAY_H_

/* display() makes an array of these, sorts, and displays */
struct itemlist {
	unsigned int hash;
	unsigned int item;
	double reqcount;
	double bytecount;
	time_t first, last, timespan;
	float rps, kbps;
};

void display();

void display_header();

void display_list();
void display_sub_list(short display_mode_override,
    unsigned short offset, unsigned short limit);

void translate_screen_to_pos();

void drawMarker(void);

#define NO_INDENT 0
void show_map_line(struct itemlist *item_ptr, int vert_location, map *m,
    unsigned short indent);

void shellsort(struct itemlist *items, unsigned int size, int sorttype);
float readableNum(double num, char *suffix);

void display_submenu_banner(char *title, int title_len, char *banner);
void clear_submenu_banner(void);

void display_help(void);

#endif
